{% extends "base.html"%}
{% load staticfiles %}

{% block content%}
<nav aria-label="breadcrumb" class="position-fixed">
    <ol class="breadcrumb">
        <li class="breadcrumb-item"><a href="{% url 'home:index' %}">Home</a></li>
        <li class="breadcrumb-item"><a href="{% url 'games:games_list' %}">Game</a></li>
        <li class="breadcrumb-item active" aria-current="page">{{ object.name }}</li>
    </ol>
</nav>
<br>
<div class="container mt-4 ml-4">
    <article class="media content-section">
        <div class="media-body">
            <h2 class="article-title">{{ object.name }}</h2>
            <p class="article-content">
                <strong>Objective:</strong>&nbsp;
                {{ object.description|safe }}
            </p>
        </div>
        <div class="float-right">
            <strong>Your best score:</strong>
            <span id="spn_best_score">{{best_score}}</span>
            <br>
            <strong>Highest Game Score:</strong>
            <span id="spn_highest_score">
                {{highest_score}}
            </span>
            <strong>
                <span id="spn_highest_scorer">
                    {% if highest_score > 0 %}
                        ({{highest_scorer}})
                    {% endif %}
                </span>
            </strong>
        </div>
    </article>
</div>
<div class="container">
        {% with template_name=object.slug|stringformat:"s"|add:".html" %}
        {% include "game/"|add:template_name with gameObj=object.pk %}
        {% endwith %}
</div>
{% endblock%}